import { Collection } from 'mongodb';
export declare type CollectionFactory = <T>(name: string) => Collection<T> | null;
export declare type InitOptions = {
    /**
     * @deprecated
     * @experimental
     * @description Only for testing purposes, this method can be removed in a future version of mongodash
     * The method allows to configure the getCollection method to provide singletons, which can be used
     * in automated test to control database query results and simulate exceptions
     */
    collectionFactory: CollectionFactory | null;
};
export declare function init(options: InitOptions): void;
export declare function getCollection<T>(name: string): Collection<T>;
