import { MongoClient, MongoClientOptions } from 'mongodb';
export declare function getMongoClient(): MongoClient;
declare type CommonOptions = {
    autoConnect?: boolean;
};
declare type ReadyClientOptions = CommonOptions & {
    mongoClient: MongoClient;
};
declare type UriOptions = CommonOptions & {
    uri: string;
    clientOptions?: MongoClientOptions;
};
export declare type InitOptions = ReadyClientOptions | UriOptions;
export declare function init(options: InitOptions): Promise<void>;
export {};
